sc::SCExtrapData(3)

NAME
sc::SCExtrapData -

SCExtrapData hold the data to be extrapolated needed by SelfConsistentExtrapolation'.

SYNOPSIS

#include <scextrap.h>

Inherits sc::SavableState'.

Inherited by sc::SymmSCMatrix2SCExtrapData, sc::SymmSCMatrix4SCExtrapData, sc::SymmSCMatrixNSCExtrapData, and sc::SymmSCMatrixSCExtrapData'.

  Public Member Functions
SCExtrapData ()
Construct a new SCExtrapData'.
SCExtrapData (StateIn &)
Constructor to restore SCExtrapData from a StateIn object'.
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'.
virtual SCExtrapData * copy ()=0
Return a copy of this'.
virtual void zero ()=0
Set this to zero'.
virtual void accumulate_scaled (double scale, const Ref< SCExtrapData > &)=0
The passed SCExtrapData is accumulated into this after applying the scaling factor'.

Detailed Description

SCExtrapData hold the data to be extrapolated needed by SelfConsistentExtrapolation'.

Member Function Documentation

  virtual void sc::SCExtrapData::accumulate_scaled (doublescale, const Ref< SCExtrapData > &) [pure virtual]

The passed SCExtrapData is accumulated into this after applying the scaling factor'.

Implemented in sc::SymmSCMatrixNSCExtrapData, sc::SymmSCMatrix4SCExtrapData, sc::SymmSCMatrix2SCExtrapData, and sc::SymmSCMatrixSCExtrapData'.

  virtual SCExtrapData* sc::SCExtrapData::copy () [pure virtual]

Return a copy of this'.

Implemented in sc::SymmSCMatrixNSCExtrapData, sc::SymmSCMatrix4SCExtrapData, sc::SymmSCMatrix2SCExtrapData, and sc::SymmSCMatrixSCExtrapData'.

  void sc::SCExtrapData::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'. This must be implemented by the derived class if the class has data'.

Reimplemented from sc::SavableState'.

Reimplemented in sc::SymmSCMatrixNSCExtrapData, sc::SymmSCMatrix4SCExtrapData, sc::SymmSCMatrix2SCExtrapData, and sc::SymmSCMatrixSCExtrapData'.

  virtual void sc::SCExtrapData::zero () [pure virtual]

Set this to zero'.

Implemented in sc::SymmSCMatrixNSCExtrapData, sc::SymmSCMatrix4SCExtrapData, sc::SymmSCMatrix2SCExtrapData, and sc::SymmSCMatrixSCExtrapData'.

Author

Generated automatically by Doxygen for MPQC from the source code'.